Skip to main content
GET
/
dev
/
v1
/
customers
List customers
curl --request GET \
  --url https://api.shoppex.io/dev/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cus_1",
      "shop_id": "shop_1",
      "email": "[email protected]",
      "name": "Berlin Buyer",
      "surname": null,
      "phone": "+491234567",
      "phone_country_code": null,
      "country_code": "DE",
      "street_address": "Teststrasse 1",
      "additional_address_info": null,
      "city": "Berlin",
      "postal_code": "10115",
      "state": null,
      "affiliate_revenue": 0,
      "affiliate_revenue_currency": "USD",
      "affiliate_revenue_percent": 0,
      "customer_balance": 10,
      "customer_balance_currency": "EUR",
      "created_at": 1710686400
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

cursor
string
limit
string
filters
string
sorts
string

Response

200 - application/json

Successful response

data
object[]
pagination
object